com.h3c.sdn.config

## Class Config

- java.lang.Object
- - com.h3c.sdn.config.Config

-     public class Config
      extends Object

  An immutable representation of a configuration for a component.

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `Config.ConfigEntry` The values for a given configuration key, including the current value `val`, the default value `defVal`, and the description `desc`.

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Config(String component, Map<String,Config.ConfigEntry> entries)` Construct a new immutable Config object.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object obj)`
    `String` | `getComponent()` Get the component name of this Config.
    `Map<String,Config.ConfigEntry>` | `getEntries()` Get a mapping of key to values of all the configuration entries.
    `int` | `hashCode()`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### Config

          public Config(String component,
                Map<String,Config.ConfigEntry> entries)

      Construct a new immutable Config object.
      Parameters:
        `component` - the component name
        `entries` - a map of all key/entry pairs

  - ### Method Detail

    - #### getComponent

          public String getComponent()

      Get the component name of this Config.
      Returns:
        the component name of this Config

    - #### getEntries

          public Map<String,Config.ConfigEntry> getEntries()

      Get a mapping of key to values of all the configuration entries.
      Returns:
        a map containing key/entry pairs

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### equals

          public boolean equals(Object obj)

      Overrides:
        `equals` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2014. All Rights Reserved.